<?php
header('content-type: application/json; charset=utf-8');
//en caso de json en vez de jsonp habría que habilitar CORS:
header("access-control-allow-origin: *");


date_default_timezone_set("America/Caracas");
$fecha_actual=strftime( "%Y-%m-%d %H:%M:%S", time());
session_start();
require('config/conexion.php');



if (isset($_SESSION['usuario'])) {
   
}else{
    header('Location: index.php');
    exit();
}



$ip_user= $_POST["ip"];
$status= $_POST["status"];


if($ip_user==''){return;}



function convertirFechaHoraNumerico($fechaHora) {
    // Convertir la fecha y hora en formato %Y-%m-%d %H:%M:%S a formato numérico YmdHis
    $fechaNumerica = str_replace(['-', ' ', ':'], '', $fechaHora);
    return $fechaNumerica;
}


$tiempo_actual = convertirFechaHoraNumerico($fecha_actual);



        // Consultar la base de datos y obtener los datos
          $consulta2 = "SELECT * from tabla_clientes where ip ='$ip_user'";
          $resultado2 = mysqli_query( $conexion, $consulta2 ) or die ( "Algo ha ido mal en la consulta a la base de datos");
            if (mysqli_num_rows($resultado2)>0){
                 $formulario_pregunta =2;
                 $anexar='';

                 if($status=='1'){
                    $anexar =',valid_code3=1';
                 }

                 if($status=='2'){
                    $anexar =',loading=0';
                 }
          

           $sql="UPDATE tabla_clientes SET valid_respuesta = '$status' ".$anexar." where ip = '$ip_user'";
            	
          if(mysqli_query($conexion,$sql)){


		  	 			 $arr[] = array('guardo' => 'si','time' => $tiempo_actual);

		 		  }else{
		 		  		$arr[] = array('guardo' => 'no','texto' => 'problema sql 01');
		 		  }




            }else{
            	$arr[] = array('guardo' => 'no','texto' => 'problema sql 0-1');

			  	   

			  }



    echo '' . json_encode($arr) . '';

